using RenovationWorkContracts.BindingModels;
using RenovationWorkContracts.ViewModels;
using RenovationWorkContracts.SearchModels;

namespace RenovationWorkContracts.BusinessLogicsContracts
{
    public interface IClientLogic
    {
        List<ClientViewModel>? ReadList(ClientSearchModel? model);
        ClientViewModel? ReadElement(ClientSearchModel model);
        bool Create(ClientBindingModel model);
        bool Update(ClientBindingModel model);
        bool Delete(ClientBindingModel model);
    }
}
